Bug 115176 - CAN-2003-0989 CAN-2004-0055 CAN-2004-0057 Three issues found in tpcdump
Summary: CAN-2003-0989 CAN-2004-0055 CAN-2004-0057 Three issues found in tpcdump
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: tcpdump   
(Show other bugs)
Version: 1
Hardware: All Linux
high
medium
Target Milestone: ---
Assignee: Harald Hoyer
QA Contact:
URL:
Whiteboard:
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-02-08 00:18 UTC by Leonard den Ottolander
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-03-15 11:36:46 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
SPEC file and CAN patches (13.54 KB, application/octet-stream)
2004-02-08 22:54 UTC, Leonard den Ottolander
no flags Details

Description Leonard den Ottolander 2004-02-08 00:18:41 UTC
See also bug #113366

Comment 1 Leonard den Ottolander 2004-02-08 00:25:15 UTC
CAN-2003-0989
CAN-2004-0055
CAN-2004-0057
Three issues found in tpcdump


Comment 2 Leonard den Ottolander 2004-02-08 22:54:04 UTC
Created attachment 97531 [details]
SPEC file and CAN patches

Comment 3 Leonard den Ottolander 2004-02-08 22:54:41 UTC
Patches taken from RHL 9 and applied to tcpdump-3.7.2. Release set to 8.1.

As these patches have been in RHL 9 for a couple of weeks now and have
thus been scrutinized this should be moved to the main updates tree ASAP.

Attached is a bundle of the spec file and the two patches.

$ diff -u tcpdump.spec.000 tcpdump.spec
--- tcpdump.spec.000	2003-08-29 15:16:20.000000000 +0200
+++ tcpdump.spec	2004-02-08 23:37:18.000000000 +0100
@@ -2,7 +2,7 @@
 %define PCAP_UID 77
 %define PCAP_GID 77
 
-%define releaseno 7.1
+%define releaseno 8.1
 
 %define arpwatch_release %{releaseno}
 %define pcap_release %{releaseno}
@@ -43,6 +43,8 @@
 Patch16: tcpdump-3.7.2-sctp.patch
 #Patch16: tcpdump-3.6.2-bgp.patch
 Patch17: tcpdump-3.7.2-sctpdef.patch
+Patch18: tcpdump-3.7.2-CAN-2003-0989.patch
+Patch19: tcpdump-3.7.2-CAN-2004-0055_0057.patch
 
 Patch34: arpwatch-2.1a4-fhs.patch
 Patch35: arpwatch-2.1a10-man.patch
@@ -141,6 +143,8 @@
 # Fixed in 3.7.2
 #%patch16 -p2 -b .bgp
 %patch17 -p1 -b .sctpdef
+%patch18 -p1 -b .CAN-2003-0989
+%patch19 -p0 -b .CAN-2004-0055_0057
 popd
 
 pushd %arpwatch_dir
@@ -183,7 +187,7 @@
 %configure --enable-ipv6 --with-user=pcap
 %undefine optflags
 
-DEFS="-g -DHAVE_CONFIG_H"
+DEFS="-D_U_=\"\" -g -DHAVE_CONFIG_H"
 %ifarch alpha sparc sparc64
 DEFS="$DEFS -DHAVE_ETHER_HOSTTON=1 -DLBL_ALIGN=1 -DHAVE_ETHER_NTOA=1"
 %endif
@@ -311,6 +315,9 @@
 %{_vararpwatch}/massagevendor-old
 
 %changelog
+* Sun Feb  8 2004 Leonard den Ottolander <leonard * den ottolander
nl> 14:3.7.2-8.1
+- fixed CAN-2003-0989, CAN-2004-0055 & CAN-2004-0057
+
 * Fri Aug 29 2003 Harald Hoyer <harald@redhat.de> 14:3.7.2-7
 - build libpcap shared library with gcc and not ld
 


Comment 4 Leonard den Ottolander 2004-02-18 21:35:06 UTC
Any progress on this issue?


Comment 5 Leonard den Ottolander 2004-03-02 22:54:36 UTC
As the update is announced and released this can be closed ERRATA.



Note You need to log in before you can comment on or make changes to this bug.